View Issue Details

IDProjectCategoryView StatusLast Update
0031625LazarusPatchpublic2017-04-22 17:38
ReporterFTurtleAssigned ToOndrej Pokorny 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version1.7 (SVN)Product Build54507 
Target VersionFixed in Version1.9 (SVN) 
Summary0031625: [Patch] New icons for IDE
DescriptionAdded to copyright.txt:

Following images were created by FTurtle by modifying original images from Silk icon set 1.3:

menu directory:

menu_view_components.png (from application.png)
menu_view_inspector.png (from application.png)
menu_view_messages.png (from application.png)
menu_view_search_results.png (from application.png, page_white_find.png)


Icon for Object Inspector was replaced because it looked very similar to icon for Project Inspector. It was inconvenient for use on toolbar.
TagsNo tags attached.
Fixed in Revision54547, 54648
LazTarget1.8
Widgetset
Attached Files
  • before.png (49,181 bytes)
    before.png (49,181 bytes)
  • after.png (50,686 bytes)
    after.png (50,686 bytes)
  • images.zip (2,427 bytes)
  • patch.diff (3,546 bytes)
    Index: ide/mainbase.pas
    ===================================================================
    --- ide/mainbase.pas	(revision 54507)
    +++ ide/mainbase.pas	(working copy)
    @@ -1126,13 +1126,13 @@
         CreateMenuItem(ParentMI,itmViewToggleFormUnit,'itmViewToggleFormUnit',lisMenuViewToggleFormUnit, 'menu_view_toggle_form_unit');
         CreateMenuItem(ParentMI,itmViewInspector,'itmViewInspector',lisMenuViewObjectInspector, 'menu_view_inspector');
         CreateMenuItem(ParentMI,itmViewSourceEditor,'itmViewSourceEditor',lisMenuViewSourceEditor, 'menu_view_source_editor');
    -    CreateMenuItem(ParentMI,itmViewMessage,'itmViewMessage',lisMenuViewMessages);
    +    CreateMenuItem(ParentMI,itmViewMessage,'itmViewMessage',lisMenuViewMessages, 'menu_view_messages');
         CreateMenuItem(ParentMI,itmViewCodeExplorer,'itmViewCodeExplorer',lisMenuViewCodeExplorer, 'menu_view_code_explorer');
         CreateMenuItem(ParentMI,itmViewFPDocEditor,'itmViewFPDocEditor',lisFPDocEditor);
         CreateMenuItem(ParentMI,itmViewCodeBrowser,'itmViewCodeBrowser',lisMenuViewCodeBrowser, 'menu_view_code_browser');
         CreateMenuItem(ParentMI,itmSourceUnitDependencies,'itmSourceUnitDependencies',lisMenuViewUnitDependencies);
         CreateMenuItem(ParentMI,itmViewRestrictionBrowser,'itmViewRestrictionBrowser',lisMenuViewRestrictionBrowser, 'menu_view_rectriction_browser');
    -    CreateMenuItem(ParentMI,itmViewComponents,'itmViewComponents',lisMenuViewComponents);
    +    CreateMenuItem(ParentMI,itmViewComponents,'itmViewComponents',lisMenuViewComponents, 'menu_view_components');
         CreateMenuItem(ParentMI,itmJumpHistory,'itmJumpHistory',lisMenuViewJumpHistory);
         CreateMenuItem(ParentMI,itmMacroListView,'itmMacroListView',lisMenuMacroListView);
     
    @@ -1143,7 +1143,7 @@
     
         CreateMenuSeparatorSection(mnuView,itmViewSecondaryWindows,'itmViewSecondaryWindows');
         ParentMI:=itmViewSecondaryWindows;
    -    CreateMenuItem(ParentMI,itmViewSearchResults,'itmViewSearchResults',lisMenuViewSearchResults);
    +    CreateMenuItem(ParentMI,itmViewSearchResults,'itmViewSearchResults',lisMenuViewSearchResults, 'menu_view_search_results');
         CreateMenuSubSection(ParentMI,itmViewDebugWindows,'itmViewDebugWindows',lisMenuDebugWindows,'debugger');
         begin
           CreateMenuItem(itmViewDebugWindows,itmViewWatches,'itmViewWatches',lisMenuViewWatches,'debugger_watches');
    Index: images/copyright.txt
    ===================================================================
    --- images/copyright.txt	(revision 54507)
    +++ images/copyright.txt	(working copy)
    @@ -54,3 +54,14 @@
     bookmark9.png
     
     ---
    +
    +Following images were created by FTurtle by modifying original images from Silk icon set 1.3:
    +
    +menu directory:
    +
    +menu_view_components.png      (from application.png)
    +menu_view_inspector.png       (from application.png)
    +menu_view_messages.png        (from application.png)
    +menu_view_search_results.png  (from application.png, page_white_find.png)
    +
    +---
    Index: images/laz_images_list.txt
    ===================================================================
    --- images/laz_images_list.txt	(revision 54507)
    +++ images/laz_images_list.txt	(working copy)
    @@ -122,9 +122,12 @@
     menu/menu_view_anchor_editor.png
     menu/menu_view_code_browser.png
     menu/menu_view_code_explorer.png
    +menu/menu_view_components.png
     menu/menu_view_forms.png
     menu/menu_view_inspector.png
    +menu/menu_view_messages.png
     menu/menu_view_rectriction_browser.png
    +menu/menu_view_search_results.png
     menu/menu_view_source_editor.png
     menu/menu_view_todo.png
     menu/menu_view_toggle_form_unit.png
    
    patch.diff (3,546 bytes)
  • images2.zip (1,979 bytes)
  • patch2.diff (3,377 bytes)
    Index: ide/mainbase.pas
    ===================================================================
    --- ide/mainbase.pas	(revision 54507)
    +++ ide/mainbase.pas	(working copy)
    @@ -1126,13 +1126,13 @@
         CreateMenuItem(ParentMI,itmViewToggleFormUnit,'itmViewToggleFormUnit',lisMenuViewToggleFormUnit, 'menu_view_toggle_form_unit');
         CreateMenuItem(ParentMI,itmViewInspector,'itmViewInspector',lisMenuViewObjectInspector, 'menu_view_inspector');
         CreateMenuItem(ParentMI,itmViewSourceEditor,'itmViewSourceEditor',lisMenuViewSourceEditor, 'menu_view_source_editor');
    -    CreateMenuItem(ParentMI,itmViewMessage,'itmViewMessage',lisMenuViewMessages);
    +    CreateMenuItem(ParentMI,itmViewMessage,'itmViewMessage',lisMenuViewMessages, 'menu_view_messages');
         CreateMenuItem(ParentMI,itmViewCodeExplorer,'itmViewCodeExplorer',lisMenuViewCodeExplorer, 'menu_view_code_explorer');
         CreateMenuItem(ParentMI,itmViewFPDocEditor,'itmViewFPDocEditor',lisFPDocEditor);
         CreateMenuItem(ParentMI,itmViewCodeBrowser,'itmViewCodeBrowser',lisMenuViewCodeBrowser, 'menu_view_code_browser');
         CreateMenuItem(ParentMI,itmSourceUnitDependencies,'itmSourceUnitDependencies',lisMenuViewUnitDependencies);
         CreateMenuItem(ParentMI,itmViewRestrictionBrowser,'itmViewRestrictionBrowser',lisMenuViewRestrictionBrowser, 'menu_view_rectriction_browser');
    -    CreateMenuItem(ParentMI,itmViewComponents,'itmViewComponents',lisMenuViewComponents);
    +    CreateMenuItem(ParentMI,itmViewComponents,'itmViewComponents',lisMenuViewComponents, 'menu_view_components');
         CreateMenuItem(ParentMI,itmJumpHistory,'itmJumpHistory',lisMenuViewJumpHistory);
         CreateMenuItem(ParentMI,itmMacroListView,'itmMacroListView',lisMenuMacroListView);
     
    @@ -1143,7 +1143,7 @@
     
         CreateMenuSeparatorSection(mnuView,itmViewSecondaryWindows,'itmViewSecondaryWindows');
         ParentMI:=itmViewSecondaryWindows;
    -    CreateMenuItem(ParentMI,itmViewSearchResults,'itmViewSearchResults',lisMenuViewSearchResults);
    +    CreateMenuItem(ParentMI,itmViewSearchResults,'itmViewSearchResults',lisMenuViewSearchResults, 'menu_view_search_results');
         CreateMenuSubSection(ParentMI,itmViewDebugWindows,'itmViewDebugWindows',lisMenuDebugWindows,'debugger');
         begin
           CreateMenuItem(itmViewDebugWindows,itmViewWatches,'itmViewWatches',lisMenuViewWatches,'debugger_watches');
    Index: images/copyright.txt
    ===================================================================
    --- images/copyright.txt	(revision 54507)
    +++ images/copyright.txt	(working copy)
    @@ -39,6 +39,10 @@
     menu_toggle_bookmark7.png
     menu_toggle_bookmark8.png
     menu_toggle_bookmark9.png
    +menu_view_components.png
    +menu_view_inspector.png
    +menu_view_messages.png
    +menu_view_search_results.png
     
     sourceeditor directory:
     
    Index: images/laz_images_list.txt
    ===================================================================
    --- images/laz_images_list.txt	(revision 54507)
    +++ images/laz_images_list.txt	(working copy)
    @@ -122,9 +122,12 @@
     menu/menu_view_anchor_editor.png
     menu/menu_view_code_browser.png
     menu/menu_view_code_explorer.png
    +menu/menu_view_components.png
     menu/menu_view_forms.png
     menu/menu_view_inspector.png
    +menu/menu_view_messages.png
     menu/menu_view_rectriction_browser.png
    +menu/menu_view_search_results.png
     menu/menu_view_source_editor.png
     menu/menu_view_todo.png
     menu/menu_view_toggle_form_unit.png
    
    patch2.diff (3,377 bytes)
  • images_3.zip (7,989 bytes)
  • patch_3.diff (3,282 bytes)
    Index: ide/mainbase.pas
    ===================================================================
    --- ide/mainbase.pas	(revision 54624)
    +++ ide/mainbase.pas	(working copy)
    @@ -1126,13 +1126,13 @@
         CreateMenuItem(ParentMI,itmViewToggleFormUnit,'itmViewToggleFormUnit',lisMenuViewToggleFormUnit, 'menu_view_toggle_form_unit');
         CreateMenuItem(ParentMI,itmViewInspector,'itmViewInspector',lisMenuViewObjectInspector, 'menu_view_inspector');
         CreateMenuItem(ParentMI,itmViewSourceEditor,'itmViewSourceEditor',lisMenuViewSourceEditor, 'menu_view_source_editor');
    -    CreateMenuItem(ParentMI,itmViewMessage,'itmViewMessage',lisMenuViewMessages);
    +    CreateMenuItem(ParentMI,itmViewMessage,'itmViewMessage',lisMenuViewMessages, 'menu_view_messages');
         CreateMenuItem(ParentMI,itmViewCodeExplorer,'itmViewCodeExplorer',lisMenuViewCodeExplorer, 'menu_view_code_explorer');
         CreateMenuItem(ParentMI,itmViewFPDocEditor,'itmViewFPDocEditor',lisFPDocEditor);
         CreateMenuItem(ParentMI,itmViewCodeBrowser,'itmViewCodeBrowser',lisMenuViewCodeBrowser, 'menu_view_code_browser');
         CreateMenuItem(ParentMI,itmSourceUnitDependencies,'itmSourceUnitDependencies',lisMenuViewUnitDependencies);
         CreateMenuItem(ParentMI,itmViewRestrictionBrowser,'itmViewRestrictionBrowser',lisMenuViewRestrictionBrowser, 'menu_view_rectriction_browser');
    -    CreateMenuItem(ParentMI,itmViewComponents,'itmViewComponents',lisMenuViewComponents);
    +    CreateMenuItem(ParentMI,itmViewComponents,'itmViewComponents',lisMenuViewComponents, 'menu_view_components');
         CreateMenuItem(ParentMI,itmJumpHistory,'itmJumpHistory',lisMenuViewJumpHistory);
         CreateMenuItem(ParentMI,itmMacroListView,'itmMacroListView',lisMenuMacroListView);
     
    Index: images/copyright.txt
    ===================================================================
    --- images/copyright.txt	(revision 54624)
    +++ images/copyright.txt	(working copy)
    @@ -39,7 +39,18 @@
     menu_toggle_bookmark7.png
     menu_toggle_bookmark8.png
     menu_toggle_bookmark9.png
    +menu_view_components.png
    +menu_view_components_150.png
    +menu_view_components_200.png
    +menu_view_inspector.png
    +menu_view_inspector_150.png
    +menu_view_inspector_200.png
    +menu_view_messages.png
    +menu_view_messages_150.png
    +menu_view_messages_200.png
     menu_view_search_results.png
    +menu_view_search_results_150.png
    +menu_view_search_results_200.png
     
     sourceeditor directory:
     
    Index: images/laz_images_list.txt
    ===================================================================
    --- images/laz_images_list.txt	(revision 54624)
    +++ images/laz_images_list.txt	(working copy)
    @@ -122,10 +122,20 @@
     menu/menu_view_anchor_editor.png
     menu/menu_view_code_browser.png
     menu/menu_view_code_explorer.png
    +menu/menu_view_components.png
    +menu/menu_view_components_150.png
    +menu/menu_view_components_200.png
     menu/menu_view_forms.png
     menu/menu_view_inspector.png
    +menu/menu_view_inspector_150.png
    +menu/menu_view_inspector_200.png
    +menu/menu_view_messages.png
    +menu/menu_view_messages_150.png
    +menu/menu_view_messages_200.png
     menu/menu_view_rectriction_browser.png
     menu/menu_view_search_results.png
    +menu/menu_view_search_results_150.png
    +menu/menu_view_search_results_200.png
     menu/menu_view_source_editor.png
     menu/menu_view_todo.png
     menu/menu_view_toggle_form_unit.png
    
    patch_3.diff (3,282 bytes)

Activities

FTurtle

2017-04-02 22:09

reporter  

before.png (49,181 bytes)
before.png (49,181 bytes)

FTurtle

2017-04-02 22:10

reporter  

after.png (50,686 bytes)
after.png (50,686 bytes)

FTurtle

2017-04-02 22:10

reporter  

images.zip (2,427 bytes)

FTurtle

2017-04-02 22:11

reporter  

patch.diff (3,546 bytes)
Index: ide/mainbase.pas
===================================================================
--- ide/mainbase.pas	(revision 54507)
+++ ide/mainbase.pas	(working copy)
@@ -1126,13 +1126,13 @@
     CreateMenuItem(ParentMI,itmViewToggleFormUnit,'itmViewToggleFormUnit',lisMenuViewToggleFormUnit, 'menu_view_toggle_form_unit');
     CreateMenuItem(ParentMI,itmViewInspector,'itmViewInspector',lisMenuViewObjectInspector, 'menu_view_inspector');
     CreateMenuItem(ParentMI,itmViewSourceEditor,'itmViewSourceEditor',lisMenuViewSourceEditor, 'menu_view_source_editor');
-    CreateMenuItem(ParentMI,itmViewMessage,'itmViewMessage',lisMenuViewMessages);
+    CreateMenuItem(ParentMI,itmViewMessage,'itmViewMessage',lisMenuViewMessages, 'menu_view_messages');
     CreateMenuItem(ParentMI,itmViewCodeExplorer,'itmViewCodeExplorer',lisMenuViewCodeExplorer, 'menu_view_code_explorer');
     CreateMenuItem(ParentMI,itmViewFPDocEditor,'itmViewFPDocEditor',lisFPDocEditor);
     CreateMenuItem(ParentMI,itmViewCodeBrowser,'itmViewCodeBrowser',lisMenuViewCodeBrowser, 'menu_view_code_browser');
     CreateMenuItem(ParentMI,itmSourceUnitDependencies,'itmSourceUnitDependencies',lisMenuViewUnitDependencies);
     CreateMenuItem(ParentMI,itmViewRestrictionBrowser,'itmViewRestrictionBrowser',lisMenuViewRestrictionBrowser, 'menu_view_rectriction_browser');
-    CreateMenuItem(ParentMI,itmViewComponents,'itmViewComponents',lisMenuViewComponents);
+    CreateMenuItem(ParentMI,itmViewComponents,'itmViewComponents',lisMenuViewComponents, 'menu_view_components');
     CreateMenuItem(ParentMI,itmJumpHistory,'itmJumpHistory',lisMenuViewJumpHistory);
     CreateMenuItem(ParentMI,itmMacroListView,'itmMacroListView',lisMenuMacroListView);
 
@@ -1143,7 +1143,7 @@
 
     CreateMenuSeparatorSection(mnuView,itmViewSecondaryWindows,'itmViewSecondaryWindows');
     ParentMI:=itmViewSecondaryWindows;
-    CreateMenuItem(ParentMI,itmViewSearchResults,'itmViewSearchResults',lisMenuViewSearchResults);
+    CreateMenuItem(ParentMI,itmViewSearchResults,'itmViewSearchResults',lisMenuViewSearchResults, 'menu_view_search_results');
     CreateMenuSubSection(ParentMI,itmViewDebugWindows,'itmViewDebugWindows',lisMenuDebugWindows,'debugger');
     begin
       CreateMenuItem(itmViewDebugWindows,itmViewWatches,'itmViewWatches',lisMenuViewWatches,'debugger_watches');
Index: images/copyright.txt
===================================================================
--- images/copyright.txt	(revision 54507)
+++ images/copyright.txt	(working copy)
@@ -54,3 +54,14 @@
 bookmark9.png
 
 ---
+
+Following images were created by FTurtle by modifying original images from Silk icon set 1.3:
+
+menu directory:
+
+menu_view_components.png      (from application.png)
+menu_view_inspector.png       (from application.png)
+menu_view_messages.png        (from application.png)
+menu_view_search_results.png  (from application.png, page_white_find.png)
+
+---
Index: images/laz_images_list.txt
===================================================================
--- images/laz_images_list.txt	(revision 54507)
+++ images/laz_images_list.txt	(working copy)
@@ -122,9 +122,12 @@
 menu/menu_view_anchor_editor.png
 menu/menu_view_code_browser.png
 menu/menu_view_code_explorer.png
+menu/menu_view_components.png
 menu/menu_view_forms.png
 menu/menu_view_inspector.png
+menu/menu_view_messages.png
 menu/menu_view_rectriction_browser.png
+menu/menu_view_search_results.png
 menu/menu_view_source_editor.png
 menu/menu_view_todo.png
 menu/menu_view_toggle_form_unit.png
patch.diff (3,546 bytes)

FTurtle

2017-04-02 22:17

reporter   ~0099343

Just in case:
This patch requires to regenerate laz_images.res

Alexey Tor.

2017-04-04 12:35

reporter   ~0099357

Like icos for OI/ Messages.

FTurtle

2017-04-04 19:57

reporter   ~0099370

Thank you.

FTurtle

2017-04-04 19:57

reporter   ~0099371

Now I'm doing a new version without copying from Silk icon set.
Hope send today later.

Juha Manninen

2017-04-05 00:31

developer   ~0099378

The icon for Messages is intuitive because the window shows text lines and is located below the editor almost always.

The icon for Object Inspector could have something related to "object" and "inspector". Don't know...
Anyway it is important to differentiate it from Project Inspector icon.

FTurtle

2017-04-05 20:01

reporter  

images2.zip (1,979 bytes)

FTurtle

2017-04-05 20:01

reporter  

patch2.diff (3,377 bytes)
Index: ide/mainbase.pas
===================================================================
--- ide/mainbase.pas	(revision 54507)
+++ ide/mainbase.pas	(working copy)
@@ -1126,13 +1126,13 @@
     CreateMenuItem(ParentMI,itmViewToggleFormUnit,'itmViewToggleFormUnit',lisMenuViewToggleFormUnit, 'menu_view_toggle_form_unit');
     CreateMenuItem(ParentMI,itmViewInspector,'itmViewInspector',lisMenuViewObjectInspector, 'menu_view_inspector');
     CreateMenuItem(ParentMI,itmViewSourceEditor,'itmViewSourceEditor',lisMenuViewSourceEditor, 'menu_view_source_editor');
-    CreateMenuItem(ParentMI,itmViewMessage,'itmViewMessage',lisMenuViewMessages);
+    CreateMenuItem(ParentMI,itmViewMessage,'itmViewMessage',lisMenuViewMessages, 'menu_view_messages');
     CreateMenuItem(ParentMI,itmViewCodeExplorer,'itmViewCodeExplorer',lisMenuViewCodeExplorer, 'menu_view_code_explorer');
     CreateMenuItem(ParentMI,itmViewFPDocEditor,'itmViewFPDocEditor',lisFPDocEditor);
     CreateMenuItem(ParentMI,itmViewCodeBrowser,'itmViewCodeBrowser',lisMenuViewCodeBrowser, 'menu_view_code_browser');
     CreateMenuItem(ParentMI,itmSourceUnitDependencies,'itmSourceUnitDependencies',lisMenuViewUnitDependencies);
     CreateMenuItem(ParentMI,itmViewRestrictionBrowser,'itmViewRestrictionBrowser',lisMenuViewRestrictionBrowser, 'menu_view_rectriction_browser');
-    CreateMenuItem(ParentMI,itmViewComponents,'itmViewComponents',lisMenuViewComponents);
+    CreateMenuItem(ParentMI,itmViewComponents,'itmViewComponents',lisMenuViewComponents, 'menu_view_components');
     CreateMenuItem(ParentMI,itmJumpHistory,'itmJumpHistory',lisMenuViewJumpHistory);
     CreateMenuItem(ParentMI,itmMacroListView,'itmMacroListView',lisMenuMacroListView);
 
@@ -1143,7 +1143,7 @@
 
     CreateMenuSeparatorSection(mnuView,itmViewSecondaryWindows,'itmViewSecondaryWindows');
     ParentMI:=itmViewSecondaryWindows;
-    CreateMenuItem(ParentMI,itmViewSearchResults,'itmViewSearchResults',lisMenuViewSearchResults);
+    CreateMenuItem(ParentMI,itmViewSearchResults,'itmViewSearchResults',lisMenuViewSearchResults, 'menu_view_search_results');
     CreateMenuSubSection(ParentMI,itmViewDebugWindows,'itmViewDebugWindows',lisMenuDebugWindows,'debugger');
     begin
       CreateMenuItem(itmViewDebugWindows,itmViewWatches,'itmViewWatches',lisMenuViewWatches,'debugger_watches');
Index: images/copyright.txt
===================================================================
--- images/copyright.txt	(revision 54507)
+++ images/copyright.txt	(working copy)
@@ -39,6 +39,10 @@
 menu_toggle_bookmark7.png
 menu_toggle_bookmark8.png
 menu_toggle_bookmark9.png
+menu_view_components.png
+menu_view_inspector.png
+menu_view_messages.png
+menu_view_search_results.png
 
 sourceeditor directory:
 
Index: images/laz_images_list.txt
===================================================================
--- images/laz_images_list.txt	(revision 54507)
+++ images/laz_images_list.txt	(working copy)
@@ -122,9 +122,12 @@
 menu/menu_view_anchor_editor.png
 menu/menu_view_code_browser.png
 menu/menu_view_code_explorer.png
+menu/menu_view_components.png
 menu/menu_view_forms.png
 menu/menu_view_inspector.png
+menu/menu_view_messages.png
 menu/menu_view_rectriction_browser.png
+menu/menu_view_search_results.png
 menu/menu_view_source_editor.png
 menu/menu_view_todo.png
 menu/menu_view_toggle_form_unit.png
patch2.diff (3,377 bytes)

FTurtle

2017-04-05 20:03

reporter   ~0099400

> The icon for Object Inspector could have something related to "object" and "inspector"

I think it would be good, but I don't know how to do it. At least yet.
If I will have an idea, I'll try to implement it.

I attached new version with fully own images.
(images2.zip, patch2.diff)

wp

2017-04-05 22:45

developer   ~0099403

The Object Inspector icon is fine for me: It highlights the window left to the text editor/form designer which usually is the Object Inspector. If the icon of the Message Window following the same idea is intuitive then the Object Inspector icon should be fine as well.

Ondrej Pokorny

2017-04-06 22:37

reporter   ~0099425

I like the search results icon. But I don't like the other 3 icons because they just emphasize the default window position, not the meaning of the window.

E.g. I have the project inspector on the left side :)

=> I added only menu_view_search_results.png.

I keep this issue open for some time if you want to supply other icons.

FTurtle

2017-04-06 23:36

reporter   ~0099427

> But I don't like the other 3 icons because they just emphasize the default window position, not the meaning of the window.

The single purpose of toolbuttons is easy access to often used functions. What is figured on picture is absolutely no matter.
Two conditions must be met:
1. The purpose of the button should be clear with first glance.
2. The picture should not offend the estetic feelings.

Picture should not be a brief retelling of the novel "War and Peace", it just needs to be understandable.

> E.g. I have the project inspector on the left side :)

Yes, I know that some people place project inspector on the left side.
Moreover, one of such people gave me an idea to put buttons for access to main windows on editor's toolbar. But I found what there is some trouble with buttons (see before.png)

> they just emphasize the default window position, not the meaning of the window.

This is not a disadvantage, this is advantage. Just try.

> E.g. I have the project inspector on the left side

This is the cause why I didn't make icon for Project Inspector.

Ondrej Pokorny

2017-04-12 12:15

reporter   ~0099576

You are right - it's better to have at least some icons than no icons. I'll apply the remaining 3 as well.

Anyway we need somebody to recreate Lazarus IDE icons - we need High-DPI icons as well. So your new icons may be replaced in the future because they don't have High-DPI equivalents.

IMO the best for the future would be to pick up icons from the Icons8 library: https://icons8.com/ - they offer High-DPI versions, have really lots of them and are free to use for open source projects: https://icons8.com/license/

FTurtle

2017-04-12 15:14

reporter   ~0099579

> I'll apply the remaining 3 as well.

OK
I have ideas for some other icons and I would like to have time to make them for inclusion in 1.8. Addind new icons or replasing old is not that thing which may generate new bugs, so icons may be added after releasing RC1 and RC2.

> Anyway we need somebody to recreate Lazarus IDE icons - we need High-DPI icons as well. So your new icons may be replaced in the future because they don't have High-DPI equivalents.

As for High-DPI:

1. As far as I understand all changes with High-DPI will after 1.8 released. So icons included now will in work long time and it will useful for all users at least til version 2.0.
2. I can make High-DPI versions for all my icons. But I need to know format, resolution, naming rules and etc.

> IMO the best for the future would be to pick up icons from the Icons8 library

I think it is good to use ready icons if they are suitable. But anyway for some icons will be difficult to find ready variants. The decision about which icons to leave homemade, and which to replace with library ones, may be taken between 1.8 and 2.0

Ondrej Pokorny

2017-04-12 15:21

reporter   ~0099580

> 2. I can make High-DPI versions for all my icons. But I need to know format, resolution, naming rules and etc.

There is images/README.txt file with all information you should need.

FTurtle

2017-04-12 15:33

reporter   ~0099582

> There is images/README.txt file with all information you should need.

Thank you.

FTurtle

2017-04-17 17:12

reporter  

images_3.zip (7,989 bytes)

FTurtle

2017-04-17 17:12

reporter  

patch_3.diff (3,282 bytes)
Index: ide/mainbase.pas
===================================================================
--- ide/mainbase.pas	(revision 54624)
+++ ide/mainbase.pas	(working copy)
@@ -1126,13 +1126,13 @@
     CreateMenuItem(ParentMI,itmViewToggleFormUnit,'itmViewToggleFormUnit',lisMenuViewToggleFormUnit, 'menu_view_toggle_form_unit');
     CreateMenuItem(ParentMI,itmViewInspector,'itmViewInspector',lisMenuViewObjectInspector, 'menu_view_inspector');
     CreateMenuItem(ParentMI,itmViewSourceEditor,'itmViewSourceEditor',lisMenuViewSourceEditor, 'menu_view_source_editor');
-    CreateMenuItem(ParentMI,itmViewMessage,'itmViewMessage',lisMenuViewMessages);
+    CreateMenuItem(ParentMI,itmViewMessage,'itmViewMessage',lisMenuViewMessages, 'menu_view_messages');
     CreateMenuItem(ParentMI,itmViewCodeExplorer,'itmViewCodeExplorer',lisMenuViewCodeExplorer, 'menu_view_code_explorer');
     CreateMenuItem(ParentMI,itmViewFPDocEditor,'itmViewFPDocEditor',lisFPDocEditor);
     CreateMenuItem(ParentMI,itmViewCodeBrowser,'itmViewCodeBrowser',lisMenuViewCodeBrowser, 'menu_view_code_browser');
     CreateMenuItem(ParentMI,itmSourceUnitDependencies,'itmSourceUnitDependencies',lisMenuViewUnitDependencies);
     CreateMenuItem(ParentMI,itmViewRestrictionBrowser,'itmViewRestrictionBrowser',lisMenuViewRestrictionBrowser, 'menu_view_rectriction_browser');
-    CreateMenuItem(ParentMI,itmViewComponents,'itmViewComponents',lisMenuViewComponents);
+    CreateMenuItem(ParentMI,itmViewComponents,'itmViewComponents',lisMenuViewComponents, 'menu_view_components');
     CreateMenuItem(ParentMI,itmJumpHistory,'itmJumpHistory',lisMenuViewJumpHistory);
     CreateMenuItem(ParentMI,itmMacroListView,'itmMacroListView',lisMenuMacroListView);
 
Index: images/copyright.txt
===================================================================
--- images/copyright.txt	(revision 54624)
+++ images/copyright.txt	(working copy)
@@ -39,7 +39,18 @@
 menu_toggle_bookmark7.png
 menu_toggle_bookmark8.png
 menu_toggle_bookmark9.png
+menu_view_components.png
+menu_view_components_150.png
+menu_view_components_200.png
+menu_view_inspector.png
+menu_view_inspector_150.png
+menu_view_inspector_200.png
+menu_view_messages.png
+menu_view_messages_150.png
+menu_view_messages_200.png
 menu_view_search_results.png
+menu_view_search_results_150.png
+menu_view_search_results_200.png
 
 sourceeditor directory:
 
Index: images/laz_images_list.txt
===================================================================
--- images/laz_images_list.txt	(revision 54624)
+++ images/laz_images_list.txt	(working copy)
@@ -122,10 +122,20 @@
 menu/menu_view_anchor_editor.png
 menu/menu_view_code_browser.png
 menu/menu_view_code_explorer.png
+menu/menu_view_components.png
+menu/menu_view_components_150.png
+menu/menu_view_components_200.png
 menu/menu_view_forms.png
 menu/menu_view_inspector.png
+menu/menu_view_inspector_150.png
+menu/menu_view_inspector_200.png
+menu/menu_view_messages.png
+menu/menu_view_messages_150.png
+menu/menu_view_messages_200.png
 menu/menu_view_rectriction_browser.png
 menu/menu_view_search_results.png
+menu/menu_view_search_results_150.png
+menu/menu_view_search_results_200.png
 menu/menu_view_source_editor.png
 menu/menu_view_todo.png
 menu/menu_view_toggle_form_unit.png
patch_3.diff (3,282 bytes)

FTurtle

2017-04-17 17:14

reporter   ~0099644

Added new version of images (with High-DPI) and patch:

images_3.zip
patch_3.diff

Ondrej Pokorny

2017-04-20 12:16

reporter   ~0099695

I applied the *3 patch. Thank you!

(Will be merged to 1.8 RC1.)

FTurtle

2017-04-22 17:38

reporter   ~0099786

Thank you.

Issue History

Date Modified Username Field Change
2017-04-02 22:09 FTurtle New Issue
2017-04-02 22:09 FTurtle File Added: before.png
2017-04-02 22:10 FTurtle File Added: after.png
2017-04-02 22:10 FTurtle File Added: images.zip
2017-04-02 22:11 FTurtle File Added: patch.diff
2017-04-02 22:17 FTurtle Note Added: 0099343
2017-04-04 12:35 Alexey Tor. Note Added: 0099357
2017-04-04 19:57 FTurtle Note Added: 0099370
2017-04-04 19:57 FTurtle Note Added: 0099371
2017-04-05 00:31 Juha Manninen Note Added: 0099378
2017-04-05 20:01 FTurtle File Added: images2.zip
2017-04-05 20:01 FTurtle File Added: patch2.diff
2017-04-05 20:03 FTurtle Note Added: 0099400
2017-04-05 22:45 wp Note Added: 0099403
2017-04-06 22:25 Ondrej Pokorny Assigned To => Ondrej Pokorny
2017-04-06 22:25 Ondrej Pokorny Status new => assigned
2017-04-06 22:37 Ondrej Pokorny Fixed in Revision => 54547
2017-04-06 22:37 Ondrej Pokorny LazTarget => -
2017-04-06 22:37 Ondrej Pokorny Note Added: 0099425
2017-04-06 23:36 FTurtle Note Added: 0099427
2017-04-12 12:15 Ondrej Pokorny Note Added: 0099576
2017-04-12 15:14 FTurtle Note Added: 0099579
2017-04-12 15:21 Ondrej Pokorny Note Added: 0099580
2017-04-12 15:33 FTurtle Note Added: 0099582
2017-04-17 17:12 FTurtle File Added: images_3.zip
2017-04-17 17:12 FTurtle File Added: patch_3.diff
2017-04-17 17:14 FTurtle Note Added: 0099644
2017-04-20 12:16 Ondrej Pokorny Fixed in Revision 54547 => 54547, 54648
2017-04-20 12:16 Ondrej Pokorny LazTarget - => 1.8
2017-04-20 12:16 Ondrej Pokorny Note Added: 0099695
2017-04-20 12:16 Ondrej Pokorny Status assigned => resolved
2017-04-20 12:16 Ondrej Pokorny Fixed in Version => 1.9 (SVN)
2017-04-20 12:16 Ondrej Pokorny Resolution open => fixed
2017-04-22 17:38 FTurtle Note Added: 0099786
2017-04-22 17:38 FTurtle Status resolved => closed